Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06558 Interface Minor Always Apr 29, 2017, 13:59 29 days ago
Tester shoegazer View Status Public Platform MAME (Self-compiled)
Assigned To npwoods Resolution Fixed OS Linux (64-bit)
Status [?] Resolved   Driver
Version 0.185 Fixed in Version 0.186 Build 64-bit
Summary MESS-specific 06558: agat7 and others: mame -verifyroms not working for agat7 and 129 other sets
Description Certain sets such as agat7 and 129 others fail to verify:

./mame64 -verifyroms agat7
MAME exception: Unknown slot option 'a7lang' in slot 'sl2'
Attempting to fall into debugger
Steps To Reproduce ./mame64 -verifyroms agat7
Additional Information Oddly, a full -verifyroms audit works, it's only when you verify these sets individually that this occurs.
Flags
Regression Version 0.185
Affected Sets / Systems agat7 and others
Attached Files
 

- Relationships
related to 06591Resolvednpwoods Most sets in agat.cpp, c64.cpp, c128.cpp, ec184x.cpp, iskr103x.cpp, ksys573.cpp, pet.cpp, poisk1.cpp, ti99_4ev.cpp: Exception when attempting -listxml 

-  Notes
User avatar
No.13801
Tafoid
(Administrator)
Apr 29, 2017, 14:50
Breakage happens On April 16th sometime.
User avatar
No.13834
Robbbert
(Developer)
May 14, 2017, 10:59
It's working for me (current git)

C:\MAME>mame -verifyroms agat7
romset agat7 [apple2] is good.
1 romsets found, 1 were OK.
User avatar
No.13841
Robbbert
(Developer)
May 19, 2017, 12:23
No comments to the contrary, so resolving.

No idea who fixed this.